Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.recordmapping
Class GroupRecognizerImpl

    java.lang.Object
      com.servingxml.components.recordmapping.GroupRecognizerImpl

All Implemented Interfaces:
  GroupRecognizer

    public class GroupRecognizerImpl

extends java.lang.Object
implements GroupRecognizer

Implements a group recognizer.

Constructor Summary
`GroupRecognizerImpl(com.servingxml.components.recordmapping.GroupBreaker startGroupBreaker, com.servingxml.components.recordmapping.GroupBreaker endGroupBreaker)`
`GroupRecognizerImpl(PrefixMap prefixMap, XPathBooleanExpressionFactory startTestFactory, XPathBooleanExpressionFactory endTestFactory)`

Method Summary
`boolean` | `endRecognized(ServiceContext context, Flow flow, Record currentRecord, Record nextRecord)`
`boolean` | `startRecognized(ServiceContext context, Flow flow, Record previousRecord, Record currentRecord)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroupRecognizerImpl

    public GroupRecognizerImpl(PrefixMap prefixMap,
                               XPathBooleanExpressionFactory startTestFactory,
                               XPathBooleanExpressionFactory endTestFactory)

### GroupRecognizerImpl

    public GroupRecognizerImpl(com.servingxml.components.recordmapping.GroupBreaker startGroupBreaker,
                               com.servingxml.components.recordmapping.GroupBreaker endGroupBreaker)

Method Detail

### startRecognized

    public boolean startRecognized(ServiceContext context,
                                   Flow flow,
                                   Record previousRecord,
                                   Record currentRecord)

  Specified by:
    `startRecognized` in interface `GroupRecognizer`

### endRecognized

    public boolean endRecognized(ServiceContext context,
                                 Flow flow,
                                 Record currentRecord,
                                 Record nextRecord)

  Specified by:
    `endRecognized` in interface `GroupRecognizer`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD